\usepackage{pgfplots}
\usepackage{amsfonts}
\usepackage{amsmath}
\usepackage{braket}
\usepackage{mathtools}
\usepackage[abbreviations,british]{foreign}

\pgfplotsset{compat=1.18}

\DeclarePairedDelimiter{\floor}{\lfloor}{\rfloor}